Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #1228 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

tango.net support for FreeBSD

Reported by: Ralith Assigned to: kris
Priority: major Milestone: 0.99.8
Component: Core Functionality Version: 0.99.7 Dominik
Keywords: Cc: Nietsnie

Description

This patch adds support for FreeBSD by declaring OS-dependent constants (undeclared in trunk, making trunk unbuildable) expected by the modules the declarations reside within.

Attachments

net.patch (3.5 kB) - added by Ralith on 12/17/08 02:09:18.
Updated version

Change History

08/06/08 07:23:05 changed by larsivi

  • cc set to Nietsnie.
  • owner changed from sean to kris.

08/11/08 05:45:57 changed by kris

please convert all tabs to spaces in this patch :)

10/01/08 05:54:08 changed by kris

Sorry Ralith ... when spaces were converted to tabs, and then back to spaces, you lost the original indentation wherever changes were made. Tango does *not* support the use of tabs in any source file, so you have to be aware of that when making source-code changes :(

10/05/08 05:05:09 changed by kris

  • status changed from new to assigned.
  • milestone changed from 0.99.8 to 0.99.9.

10/06/08 06:25:29 changed by kris

perhaps you guys could consolidate your changes?

http://www.dsource.org/projects/tango/ticket/1239

12/17/08 02:09:18 changed by Ralith

  • attachment net.patch added.

Updated version

12/17/08 06:47:00 changed by kris

  • status changed from assigned to closed.
  • resolution set to fixed.

thanks!

02/19/09 13:39:32 changed by larsivi

  • milestone changed from 0.99.9 to 0.99.8.